Core - Bug # 68260

Status: Resolved Priority: Must have
Author: Frank Nagler Category:

Created: 2015-07-16 Assigned To: Wouter Wolters
Updated: 2015-07-18 Due date:

TYPO3 Version: 7

PHP Version:

Complexity:

Is Regression: No

Sprint Focus: On Location Sprint

Subject: FOLLOW-UP Replace file feature for fal file list

Description

The updateWizard, which was introduced in #56133 with patch https://review.typo3.org/#/c/40797/ is broken.
The updateWizard comes up again and again, looks like it will never be marked as finished.

Related issues:
related to Core - Feature # 56133: Replace file feature for fal file list Resolved 2014-02-19

Associated revisions

Revision 5629f1c0 - 2015-07-18 00:07 - Gordon Briiggemann

[BUGFIX] Do not execute updatewizard twice for FilesReplacePermission

Resolves: #68260

Releases: master

Change-Id: 191e5f64fdd83a60b9a65b3431a33e25e617e72b9
Reviewed-on: http://review.typo3.org/41604

Reviewed-by: Nadir Tester <nadir.tester@gmail.com>

Tested-by: Nadir Tester <nadir.tester@gmail.com>

Reviewed-by: Frank N&gler <frank.naegler@typo3.org>

Tested-by: Frank Nagler <frank.naegler@typo3.org>

History

#1 - 2015-07-17 13:29 - Wouter Wolters

Add in checkForUpdate function on top:

if ($this->isWizardDone()) {
return FALSE;

#2 - 2015-07-17 15:17 - Gerrit Code Review
- Status changed from Accepted to Under Review

#3 - 2015-07-17 15:21 - Georg Ringer
- Status changed from Under Review to Accepted

#4 - 2015-07-17 15:58 - Wouter Wolters

2015-08-04

1/2



https://review.typo3.org/#/c/40797/
http://review.typo3.org/41604
mailto:nadir.tester@gmail.com
mailto:nadir.tester@gmail.com
mailto:frank.naegler@typo3.org
mailto:frank.naegler@typo3.org

- Sprint Focus changed from Stabilization Sprint to On Location Sprint

#5 - 2015-07-17 22:00 - Wouter Wolters
- Status changed from Accepted to In Progress
- Assigned To changed from Benjamin Mack to Wouter Wolters

#6 - 2015-07-17 22:30 - Gerrit Code Review

- Status changed from In Progress to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/41604

#7 - 2015-07-18 00:03 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/41604

#8 - 2015-07-18 00:14 - Gordon Briiggemann
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:5629f1c0ebe97045b473a1c9b2a7d98546234821.
